#if !defined(AFX_DELETECH_H__E388C422_A74E_4AED_9555_454C02072AB4__INCLUDED_)
#define AFX_DELETECH_H__E388C422_A74E_4AED_9555_454C02072AB4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeleteCH.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDeleteCH dialog

class CDeleteCH : public CDialog
{
// Construction
public:
	CDeleteCH(CWnd* pParent = NULL);   // standard constructor
	CDeleteCH(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CDeleteCH)
	enum { IDD = IDD_CH_DELETE };
	CButton	m_Btn_DelImgs;
	CButton	m_BtnDelCards;
	CEdit	m_cnt_lname;
	CEdit	m_cnt_Fname;
	CComboBox	m_ChList;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CString	m_FirstName;
	CString	m_LastName;
	int		m_DelCards;
	int		m_DelImgs;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeleteCH)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDeleteCH)
	virtual BOOL OnInitDialog();
	afx_msg void OnDelete();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnSelchangeChlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	void LoadAccounts();
	void LoadSubAccounts();
	void LoadCardHolders();
	void GetCardHolderDetails();
	VARIANT_BOOL bDelCard;
	VARIANT_BOOL bDelImage;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DELETECH_H__E388C422_A74E_4AED_9555_454C02072AB4__INCLUDED_)
